<back to all web services

GetABTestEditPageSelector

The following routes are available for this service:
GET/RestApi/ab-testing/edit-page-selector
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetABTestEditPageSelector : IHasConnectionError
{
    override var PageNodeId:UUID? = null
    open var Culture:String? = null
    override var HasConnectionConfigurationError:Boolean? = null
}

open class ABTestEditPageSelectorViewModel
{
    open var Id:UUID? = null
    open var Status:ABTestStatus? = null
    open var Variations:ArrayList<ABTestVariationViewModel>? = null
    open var PreviewLink:String? = null
    open var AbTestingApiServerHasConnection:Boolean? = null
    open var HasConnectionConfigurationError:Boolean? = null
    open var WarningMessage:String? = null
    open var ApiKeyChanged:Boolean? = null
}

enum class ABTestStatus
{
    NotStarted,
    Scheduled,
    Active,
    Stopped,
    Ended,
}

open class ABTestVariationViewModel
{
    open var VariatonId:UUID? = null
    open var VariationName:String? = null
    open var VariationLink:String? = null
    open var IsWinner:Boolean? = null
    open var Ordinal:Int? = null
}

Kotlin GetABTestEditPageSelector DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/ab-testing/edit-page-selector HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"Status":"NotStarted","PreviewLink":"String","AbTestingApiServerHasConnection":false,"HasConnectionConfigurationError":false,"WarningMessage":"String","ApiKeyChanged":false}